﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.IO;
using System.Timers;

namespace Snowdream.Demo.BackgroundTask
{
    public class Tasks
    {
        private static readonly string filePath = @"D:\Temp\Background.txt";

        public static void Start()
        {
            Timer t = new Timer(10000);  // 每10秒执行一次
            t.Elapsed += new ElapsedEventHandler(WriteFile);    // WriteFile方法是要被定时执行的方法
            t.Enabled = true;
            t.AutoReset = true;
        }

        public static void WriteFile(object sender, EventArgs e)
        {
            StreamWriter sw = new StreamWriter(filePath,true);
            sw.WriteLine("{0}\n", DateTime.Now.ToString());
            sw.Flush();
            sw.Close();
        }
    }
}